%define name bkchem
%define version 0.4.1
%define release 5mdk

%define pythonver 2.2

Summary: 	Python 2D chemical structure drawing tool
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%name-%{version}.tar.bz2
Patch:		%name-0.4.1.1.patch.bz2
URL: 		http://www.nongnu.org/bkchem
License: 	GPL
Group: 		Sciences/Chemistry
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	python-devel 
Requires: 	python python-imaging Pmw
Buildarch:	noarch

%description
BKchem is a free (as in free software :o) chemical drawing program. It was
concieved and written by Beda Kosata.  Supported file formats are SVG and CML.
The output looks best with the Adobe SVG viewer, but sodipodi does a reasonable
job as well.

%prep
%setup -q
%patch -p1
# save cropped files
perl -p -i -e 's/full_size\=1/full_size\=0/g' bkchem/export.py
perl -p -i -e 's/full_size\ \=\ 1/full_size\ \=\ 0/g' bkchem/xml_writer.py

%build
%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
touch $RPM_BUILD_ROOT/usr/bin/%name
python setup.py install --root=$RPM_BUILD_ROOT

#fix executable
rm $RPM_BUILD_ROOT/usr/bin/%name
echo '#!/bin/sh' > $RPM_BUILD_ROOT/usr/bin/%name
echo 'export BKCHEM_MODULE_PATH=/usr/lib/python%pythonver/site-packages/%name' >> $RPM_BUILD_ROOT/usr/bin/%name
echo 'export BKCHEM_TEMPLATE_PATH=/usr/share/%name/templates' >> $RPM_BUILD_ROOT/usr/bin/%name
echo 'export BKCHEM_PIXMAP_PATH=/usr/share/%name/pixmaps' >> $RPM_BUILD_ROOT/usr/bin/%name
echo 'export BKCHEM_IMAGE_PATH=/usr/share/%name/images' >> $RPM_BUILD_ROOT/usr/bin/%name
echo 'python /usr/lib/python2.2/site-packages/%name/%name.py' >> $RPM_BUILD_ROOT/usr/bin/%name
chmod ugo+x $RPM_BUILD_ROOT/usr/bin/%name

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="bkchem"\
needs="x11"\
section="Applications/Sciences/Chemistry"\
title="BKChem"\
icon="chemistry_section.png"\
longtitle="2D chemical structure drawing tool"
EOF

%find_lang BKchem

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f BKchem.lang
%defattr(-,root,root)
%doc gpl.txt README RELEASE 
%_bindir/%name
%_datadir/%name
%doc %_docdir/%name
%_libdir/python2.2/site-packages/%name
%_menudir/%name

%changelog
* Sat Mar 8 2003 Austin Acton <aacton@yorku.ca> 0.4.1-5mdk
- don't export full page either

* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 0.4.1-4mdk
- apply bugfix patch from author
- patch to save cropped files, not full page

* Sun Jan 12 2003 Austin Acton <aacton@yorku.ca> 0.4.1-3mdk
- eliminate referencess to buildroot

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-2mdk
- rebuild

* Mon Dec 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- use find_lang macro
- from Austin Acton <aacton@yorku.ca> :
	- initial package
